Package org.eclipse.birt.report.engine.api

# Class UnsupportedFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.engine.api.EngineException
org.eclipse.birt.report.engine.api.UnsupportedFormatException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedFormatException extends EngineException

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.birt.report.engine.api.EngineException

`birtException, dftRb, elementId, pluginId, resourceBundles, threadLocal`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedFormatException(String errorCode, Object arg0)`
constructor

## Method Summary

### Methods inherited from class org.eclipse.birt.report.engine.api.EngineException

`getElementID, getErrorCode, getLocalizedMessage, getMessage, getPluginId, getResourceBundle, getSeverity, setElementID, setSeverity, setULocale`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getLocalizedMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedFormatException

public UnsupportedFormatException(String errorCode, Object arg0)
constructor

Parameters:
  `errorCode` -
  `arg0` -